; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	02/09/2016 12:09.13
; 
pro MSP_MOT_Base_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='MSP_MOT_Base'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Select_Images_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Crop_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Modify_Crop_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Create_Mosaic_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Match_Backgrounds_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Write_FITS_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Combine_CATs_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Combine_Regions_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Rotate_to_Galactic_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Offset_Slider'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Range_Slider'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Write_TIFF_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Display_Regions_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Display_Image_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Base_Exit_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Base_Exit_Button_Press, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Display_Histogram_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Scale_Method_Droplist'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Write_Region_File_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_Write_CATs_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        S0_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='S0_LUT_Droplist'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DROPLIST' )then $
        S0_Handler, Event
    end
    else:
  endcase

end

pro MSP_MOT_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

  Resolve_Routine, 'MSP_MOT_GUI_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  MSP_MOT_Base = Widget_Base( GROUP_LEADER=wGroup,  $
      UNAME='MSP_MOT_Base' ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=1081  $
      ,SCR_YSIZE=750 ,NOTIFY_REALIZE='MSP_MOT_GUI_Realize'  $
      ,TITLE='Mimir Software Package - Mosaic and Overlay Tool'+ $
      ' (MSP-MOT)' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  MSP_MOT_GUI_PostCreation, MSP_MOT_Base, _EXTRA=_VWBExtra_

  
  S0_Select_Images_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Select_Images_Button' ,XOFFSET=36 ,YOFFSET=12  $
      ,/ALIGN_CENTER ,VALUE='1 - Select Images for Mosaicking')

  
  S0_Images_Textbox = Widget_Text(MSP_MOT_Base,  $
      UNAME='S0_Images_Textbox' ,XOFFSET=11 ,YOFFSET=66  $
      ,SCR_XSIZE=396 ,SCR_YSIZE=194 ,/SCROLL ,/WRAP ,XSIZE=20  $
      ,YSIZE=1)

  
  S0_Crop_Label = Widget_Base(MSP_MOT_Base, UNAME='S0_Crop_Label'  $
      ,XOFFSET=54 ,YOFFSET=327 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  S0_Crop_Checkbox = Widget_Button(S0_Crop_Label,  $
      UNAME='S0_Crop_Checkbox' ,/ALIGN_LEFT ,VALUE='Crop Each Image')

  
  S0_Modify_Crop_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Modify_Crop_Button' ,XOFFSET=305 ,YOFFSET=358  $
      ,/ALIGN_CENTER ,VALUE='Modify Crop Corners')

  
  S0_Crop_Textbox = Widget_Text(MSP_MOT_Base, UNAME='S0_Crop_Textbox'  $
      ,XOFFSET=84 ,YOFFSET=358 ,SCR_XSIZE=198 ,SCR_YSIZE=21 ,XSIZE=20  $
      ,YSIZE=1)

  
  S0_Create_Mosaic_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Create_Mosaic_Button' ,XOFFSET=21 ,YOFFSET=465  $
      ,/ALIGN_CENTER ,VALUE='3 - Create Mosaic Image and Combine'+ $
      ' Files')

  
  WID_BASE_1 = Widget_Base(MSP_MOT_Base, UNAME='WID_BASE_1'  $
      ,XOFFSET=55 ,YOFFSET=300 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  S0_Match_Backgrounds_Checkbox = Widget_Button(WID_BASE_1,  $
      UNAME='S0_Match_Backgrounds_Checkbox' ,/ALIGN_LEFT  $
      ,VALUE='Match Backgrounds')

  
  S0_Write_FITS_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Write_FITS_Button' ,XOFFSET=280 ,YOFFSET=466  $
      ,/ALIGN_CENTER ,VALUE='4 - Write Mosic FITS File')

  
  WID_LABEL_0 = Widget_Label(MSP_MOT_Base, UNAME='WID_LABEL_0'  $
      ,XOFFSET=92 ,YOFFSET=42 ,VALUE='Image, Sizes (NX x NY),'+ $
      ' Background, Rot (arcmin), Scale (arcsec/pix)')

  
  WID_BASE_2 = Widget_Base(MSP_MOT_Base, UNAME='WID_BASE_2'  $
      ,XOFFSET=53 ,YOFFSET=396 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  S0_Combine_CATs_Checkbox = Widget_Button(WID_BASE_2,  $
      UNAME='S0_Combine_CATs_Checkbox' ,/ALIGN_LEFT ,VALUE='Combine'+ $
      ' PHOTCATS, POLCATS')

  
  WID_BASE_3 = Widget_Base(MSP_MOT_Base, UNAME='WID_BASE_3'  $
      ,XOFFSET=54 ,YOFFSET=423 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  S0_Combine_Regions_Checkbox = Widget_Button(WID_BASE_3,  $
      UNAME='S0_Combine_Regions_Checkbox' ,/ALIGN_LEFT  $
      ,VALUE='Combine DS9 Region Files')

  
  WID_BASE_4 = Widget_Base(MSP_MOT_Base, UNAME='WID_BASE_4'  $
      ,XOFFSET=791 ,YOFFSET=634 ,TITLE='IDL' ,COLUMN=1  $
      ,/NONEXCLUSIVE)

  
  S0_Rotate_to_Galactic_Checkbox = Widget_Button(WID_BASE_4,  $
      UNAME='S0_Rotate_to_Galactic_Checkbox' ,/ALIGN_LEFT  $
      ,VALUE='Rotate TIFF Image into Galactic Coordinates')

  
  S0_Draw_Window = Widget_Draw(MSP_MOT_Base, UNAME='S0_Draw_Window'  $
      ,XOFFSET=442 ,YOFFSET=17 ,SCR_XSIZE=610 ,SCR_YSIZE=576)

  
  S0_Offset_Slider = Widget_Slider(MSP_MOT_Base,  $
      UNAME='S0_Offset_Slider' ,XOFFSET=21 ,YOFFSET=633  $
      ,SCR_XSIZE=308 ,SCR_YSIZE=31 ,TITLE='Offset')

  
  S0_Range_Slider = Widget_Slider(MSP_MOT_Base,  $
      UNAME='S0_Range_Slider' ,XOFFSET=21 ,YOFFSET=674 ,SCR_XSIZE=305  $
      ,SCR_YSIZE=31 ,TITLE='Range')

  
  S0_Write_TIFF_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Write_TIFF_Button' ,XOFFSET=816 ,YOFFSET=672  $
      ,/ALIGN_CENTER ,VALUE='9 - Write TIFF Image')

  
  WID_BASE_5 = Widget_Base(MSP_MOT_Base, UNAME='WID_BASE_5'  $
      ,XOFFSET=790 ,YOFFSET=603 ,TITLE='IDL' ,COLUMN=1  $
      ,/NONEXCLUSIVE)

  
  S0_Display_Regions_Checkbox = Widget_Button(WID_BASE_5,  $
      UNAME='S0_Display_Regions_Checkbox' ,/ALIGN_LEFT  $
      ,VALUE='Overlay Regions on TIFF Image')

  
  S0_Display_Image_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Display_Image_Button' ,XOFFSET=528 ,YOFFSET=606  $
      ,/ALIGN_CENTER ,VALUE='8 - Display Image')

  
  Base_Exit_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='Base_Exit_Button' ,XOFFSET=1013 ,YOFFSET=682  $
      ,/ALIGN_CENTER ,VALUE='Exit')

  
  Base_Text_Box = Widget_Text(MSP_MOT_Base, UNAME='Base_Text_Box'  $
      ,XOFFSET=19 ,YOFFSET=538 ,SCR_XSIZE=376 ,SCR_YSIZE=83 ,/SCROLL  $
      ,/WRAP ,XSIZE=20 ,YSIZE=1)

  
  S0_Display_Histogram_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Display_Histogram_Button' ,XOFFSET=345 ,YOFFSET=648  $
      ,/ALIGN_CENTER ,VALUE='7 - Display Data Histogram')

  
  S0_Scale_Method_Droplist = Widget_Droplist(MSP_MOT_Base,  $
      UNAME='S0_Scale_Method_Droplist' ,XOFFSET=558 ,YOFFSET=640  $
      ,VALUE=[ 'Linear', 'Log', 'Sqrt' ])

  
  WID_LABEL_1 = Widget_Label(MSP_MOT_Base, UNAME='WID_LABEL_1'  $
      ,XOFFSET=629 ,YOFFSET=644 ,/ALIGN_LEFT ,VALUE='Image Scaling'+ $
      ' Method')

  
  S0_Write_Region_File_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Write_Region_File_Button' ,XOFFSET=21 ,YOFFSET=503  $
      ,/ALIGN_CENTER ,VALUE='5 - Write Mosaic Region File')

  
  S0_Write_CATs_Button = Widget_Button(MSP_MOT_Base,  $
      UNAME='S0_Write_CATs_Button' ,XOFFSET=253 ,YOFFSET=504  $
      ,/ALIGN_CENTER ,VALUE='6 - Write PHOTCAT, POLCAT')

  
  WID_LABEL_2 = Widget_Label(MSP_MOT_Base, UNAME='WID_LABEL_2'  $
      ,FRAME=1 ,XOFFSET=26 ,YOFFSET=277 ,/ALIGN_LEFT ,VALUE='2 - Set'+ $
      ' Processing Options')

  
  S0_LUT_Droplist = Widget_Droplist(MSP_MOT_Base,  $
      UNAME='S0_LUT_Droplist' ,XOFFSET=535 ,YOFFSET=669 ,VALUE=[  $
      'Rainbow', 'Gray Scale', 'Red BB', 'Inverse Gray' ])

  
  WID_LABEL_3 = Widget_Label(MSP_MOT_Base, UNAME='WID_LABEL_3'  $
      ,XOFFSET=640 ,YOFFSET=672 ,/ALIGN_LEFT ,VALUE='Display Look-Up'+ $
      ' Table')

  Widget_Control, /REALIZE, MSP_MOT_Base

  XManager, 'MSP_MOT_Base', MSP_MOT_Base, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro MSP_MOT_GUI, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  MSP_MOT_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
